@import url("https://fonts.googleapis.com/css2?family=M+PLUS+2&family=Poppins:ital,wght@0,100;0,500;0,600;0,700;1,400&family=Roboto:wght@300;400&family=Ubuntu:ital,wght@0,500;1,400&display=swap"); /* Color Theme Swatches in Hex */

$main: #0420bf;
$sub-color: #021e73;
$sub2: #0442bf;
$accent: #ea3131;
$white: #f2f2f2;
$dark: #12121212;

.container {
  margin: 0 auto;
  max-width: 800px;
  padding: 0 20px;
}

.container {
  margin: 0 auto;
  max-width: 800px;
  padding: 0 20px;
}

@mixin button {
  outline: none;
  border: none;
  color: $white;
  background-color: $accent;
  border-radius: 3rem;
  font-weight: bold;
  font-size: 2rem;
  cursor: pointer;
  margin: 2rem 0;

  &:hover {
    background-color: $accent;
  }
}
@mixin heading {
  font-size: 4rem;
  color: $main;
  margin: 4rem 0;
  position: relative;
  &::after {
    background-color: $accent;
    position: absolute;
    color: $main;
    content: "";
    bottom: -1rem;
    left: 50%;
    height: 0.5rem;
    width: 61.8%;
  }
}
* {
  margin: 0;
  padding: 0%;
  box-sizing: border-box;
  transition: all 0.1s linear;
}
html {
  font-size: 61.803%;
  scroll-behavior: smooth;
}

body {
  overflow-x: hidden;
}
/* HEADER */
header {
  width: 100%;
  display: flex;
  align-items: center;
  justify-content: space-between;
  padding: 1rem 6rem;
  position: fixed;
  background-color: $sub-color;
  z-index: 2;
}
nav {
  ul {
    list-style: none;
    display: flex;
    align-items: center;
    justify-content: space-around;
    li {
      margin-right: 3rem;
      a {
        text-decoration: none;
        color: $white;
        font-size: 2rem;
        padding: 0.5rem;
        border-radius: 31px;
        &:hover {
          background-color: $dark;
        }
      }
    }
    .nav-toggle {
      left: 0%;
    }
    .fa-bars {
      font-size: 3.5em;
      color: $white;
    }
    .logo {
      text-decoration: none;
      h1 {
        font-size: 4rem;
        font-family: "roboto" sans-serif;
      }
    }
  }
}
#Home {
  min-height: 100vh;
  width: 100vw;
  display: flex;
  align-items: center;
  justify-content: space-around;
  border: 13 black solid;
  padding: 0 6rem;
  background-color: $sub2;
  .image {
    img {
      width: 50vw;
      border-radius: 0.625rem 1.875rem;
      backdrop-filter: blur(4px);
    }
  }
  .content {
    h1 {
      font-size: 5rem;
      font-weight: normal;
      color: $white;
      span {
        color: $accent;
        text-shadow: 0px 4px 4px rgba(0, 0, 0, 0.25);
      }
    }
  }
  button {
    @include button();
    height: 4rem;
    width: 14rem;
  }
  .icons {
    margin: 2rem 0;
    a {
      text-decoration: none;
      font-size: 3rem;
      margin: 0 1rem;
      color: $white;

      &:hover {
        background-color: $accent;
      }
    }
  }
}
#about {
  display: grid;
  place-items: center;
  min-height: 100vh;
  width: 100vw;
  h1 {
    @include heading();
  }
  .wrapper {
    display: flex;
    align-items: center;
    justify-content: space-around;
    width: 100%;
    color: $dark;
  }
  .content {
    width: 50vh;
    text-align: center;
    h3 {
      font-size: 4rem;
      color: $sub-color;
    }
  }
  .image {
    img {
      width: 60vh;
      border-radius: 0.625rem 1.875rem;
      backdrop-filter: blur(11px);
    }
  }
}
@media (max-width: 991px) {
  html {
    font-size: 45%;
  }
  header {
    .fa-bars {
      display: block;
    }
    nav {
      position: fixed;
      top: 0;
      left: -100%;
      height: 100vh;
      width: 35rem;
      background: $sub2;
      box-shadow: 0.2rem 0 0.2rem $dark;
      ul {
        height: 100;
        flex-flow: column;
        justify-content: center;
      }
    }
  }
}

@media (max-width: 768px) {
  #Home {
  }
}
